Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.tahiti
Class DigestTable

    java.lang.Object
      |
      +--com.ibm.aglets.tahiti.DigestTable

public final class DigestTable
extends java.lang.Object

Constructor Summary
`DigestTable()`
`DigestTable(int n)`

Method Summary
`ClassName[]` | `getClassNames(java.lang.Class[] classes)`
`long` | `getDigest(int i)`
`long` | `getDigest(java.lang.String name)`
`byte[]` | `getDigestAsByte(java.lang.String name)`
`java.lang.String` | `getName(int i)`
`boolean` | `match(ClassName[] table, boolean _import)`
`long` | `setData(java.lang.String name, byte[] data)`
`void` | `setDigest(java.lang.String name, long val)`
`int` | `size()`
`static byte[]` | `toByteArray(long l)`
`static long` | `toLong(byte[] b)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigestTable

    public DigestTable()

### DigestTable

    public DigestTable(int n)

Method Detail

### getClassNames

    public ClassName[] getClassNames(java.lang.Class[] classes)

### getDigest

    public long getDigest(int i)

### getDigest

    public long getDigest(java.lang.String name)

### getDigestAsByte

    public byte[] getDigestAsByte(java.lang.String name)

### getName

    public java.lang.String getName(int i)

### match

    public boolean match(ClassName[] table,
                         boolean _import)

### setData

    public long setData(java.lang.String name,
                        byte[] data)

### setDigest

    public void setDigest(java.lang.String name,
                          long val)

### size

    public int size()

### toByteArray

    public static byte[] toByteArray(long l)

### toLong

    public static long toLong(byte[] b)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD